﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PictureManagement.aspx.cs"
    Inherits="PumpkinHouse.Admin.PictureManagement" MasterPageFile="~/Admin/Admin.Master" %>

<asp:Content ContentPlaceHolderID="MainPageHolder" ID="mainPage" runat="server">
    <style>
        div.criteria
        {
            float: left;
        }
    </style>
    <script src="/Scripts/lib/jquery-1.7.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $('.preview').on('load', function (target) {
                var img = $(target.target);

                var h = img[0].clientHeight;
                var w = img[0].clientWidth;
                var nh = h;
                var nw = w;
                var ratio = w * 1.0 / h;
                if (h > 100) {
                    nh = 100;
                    nw = nh * ratio;
                }
                img.css('height', nh).css('width', nw);
            });
        });
    </script>
    <form id="form1" runat="server">
    <div>使用说明：
    <ul>
        <li>点击“查找”显示结果</li>
        <li>用户名搜索支持模糊搜索，比如想搜“以test开头的用户”，输入"test%"。默认值为"%"即所有用户</li>
    </ul>
    </div>
    图片总数：<asp:Label ID="lblCount" runat="server"></asp:Label>
    <div><b>搜索</b></div>
    <div style="width:100%; height:200px">
        <div class="criteria">开始日期：</div>
        <div class="criteria"><asp:Calendar ID="CalendarStart" runat="server" 
                onselectionchanged="OnDateChanged" ></asp:Calendar></div>
        <div class="criteria">结束日期：</div>
        <div class="criteria"><asp:Calendar ID="CalendarEnd" runat="server" onselectionchanged="OnDateChanged" ></asp:Calendar></div>
    </div>
    <p style="width:100%">&nbsp;</p>
    <p></p>
    <asp:Label ID="lblNickName" Text="昵称" runat="server"/> <asp:TextBox ID="textNickName" runat="server" />
    <asp:Label ID="lblPictureId" Text="图片ID" runat="server"/><asp:TextBox ID="textPictureId" runat="server" />
    <asp:Button ID="btnFilter" Text="查找" runat="server" onclick="btnFilter_Click" />
    <hr />
    <br />
    <br />
    <br />
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" DataKeyNames="Id" AutoGenerateDeleteButton="True"
        PageSize="10" AutoGenerateEditButton="True" DataSourceId="SqlDataSource1"
        onrowdeleting="OnDelete" OnRowUpdating="OnUpdating" 
        onpageindexchanged="PageIndexChanged" onrowediting="OnEditing" 
        onsorted="Sorted">
        <Columns>
            <asp:TemplateField HeaderText="选择"> 
                <ItemTemplate> 
                    <asp:CheckBox ID="CheckBox" runat="server" /> 
                </ItemTemplate> 
            </asp:TemplateField>
            <asp:BoundField DataField="Id" HeaderText="Id" InsertVisible="False" ReadOnly="True"
                SortExpression="Id" />
            <asp:BoundField DataField="Description" HeaderText="图片描述" SortExpression="Description" />
            <asp:BoundField DataField="Collect_Time" HeaderText="上传时间" SortExpression="Collect_Time"
                ReadOnly="true" />
            <asp:BoundField DataField="Tags" HeaderText="标签" SortExpression="Tags" />
            <asp:BoundField DataField="Nick_Name" HeaderText="昵称" SortExpression="Nick_Name"
                ReadOnly="true" />
            <asp:BoundField DataField="On_Top" HeaderText="置顶" SortExpression="On_Top"
                Visible="true" />
            <asp:BoundField DataField="On_Top_Update_Time" HeaderText="置顶更新时间" SortExpression="On_Top_Update_Time"
                Visible="true" ReadOnly="true" />
            <asp:BoundField DataField="Image_Filename" HeaderText="Image_Filename" SortExpression="Image_Filename"
                Visible="False" />
            <asp:BoundField DataField="Image_File_Ext" HeaderText="Image_File_Ext" SortExpression="Image_File_Ext"
                Visible="False" />
            <asp:BoundField DataField="Username" HeaderText="Username" SortExpression="Username"
                Visible="false" />
            <asp:TemplateField>
                <ItemTemplate>
                    <a href="http://image.mutouhezi.com/<%# Eval("Image_Filename").ToString().Substring(0, 8) %>/<%# Eval("Image_Filename") %>.<%#Eval("Image_File_Ext") %>" target="_blank">
                    <img class="preview" src="http://image.mutouhezi.com/<%# Eval("Image_Filename").ToString().Substring(0, 8) %>/<%# Eval("Image_Filename") %>_200_0_thumbnail.<%#Eval("Image_File_Ext") %>" /></a> 
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <PagerSettings Mode="NumericFirstLast" PageButtonCount="20" />
    </asp:GridView>
    <asp:CheckBox ID="selectAll" Text="全选" runat="server" 
        oncheckedchanged="selectAll_CheckedChanged" AutoPostBack="true" Checked="false"/>
    <asp:Button ID="deleteSelected" Text="删除所选项" runat="server" 
        onclick="deleteSelected_Click"/>

    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString %>"
        SelectCommand="SELECT LEFT(CONVERT(VARCHAR, Collect_Time, 120), 10) as t, [Id], [Description], [Collect_Time], [Tags], [Username], [Image_Filename], [Image_File_Ext], [Nick_Name], [On_Top], [On_Top_Update_Time] FROM [View_Collection2] where Is_Original = 1 order by Id desc"
        
        UpdateCommand="Update DB_Picture set On_Top = @On_Top where Id = @Id" onselected="SqlDataSource1_Selected"
        >
        </asp:SqlDataSource>
    </form>
</asp:Content>
